Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_method_cfunc_struct Struct Reference

`#include <method.h>`

## Data Fields
VALUE(* | func )(ANYARGS)
VALUE(* | invoker )(VALUE(*func)(ANYARGS), VALUE recv, int argc, const VALUE *argv)
int | argc

## Detailed Description

Definition at line 63 of file method.h.

## Field Documentation

int rb_method_cfunc_struct::argc

Definition at line 66 of file method.h.

Referenced by rb_add_method(), rb_add_method_cfunc(), rb_hash_method_definition(), rb_method_definition_eq(), rb_method_entry_min_max_arity(), setup_method_cfunc_struct(), vm_call0_cfunc_with_frame(), and vm_call_cfunc_with_frame().

VALUE(* rb_method_cfunc_struct::func)(ANYARGS)

Definition at line 64 of file method.h.

Referenced by check_cfunc(), rb_add_method(), rb_add_method_cfunc(), rb_hash_method_definition(), rb_method_definition_eq(), rb_obj_basic_to_s_p(), setup_method_cfunc_struct(), vm_call0_cfunc_with_frame(), and vm_call_cfunc_with_frame().

VALUE(* rb_method_cfunc_struct::invoker)(VALUE(*func)(ANYARGS), VALUE recv, int argc, const VALUE *argv)

Definition at line 65 of file method.h.

Referenced by setup_method_cfunc_struct(), vm_call0_cfunc_with_frame(), and vm_call_cfunc_with_frame().

The documentation for this struct was generated from the following file:

- method.h